const std = @import("std");
const dirs = @import("../dirs.zig");
const Manifest = @import("../Manifest.zig");
const Args = @import("../args.zig").Unuse;

pub fn run(
    alloc: std.mem.Allocator,
    manifest: *Manifest,
    args: Args,
    positionals: []const [:0]const u8,
) !void {
    _ = args;

    if (positionals.len != 0) {
        std.log.err("expected exactly 0 positional arguments", .{});
        return error.Explained;
    }

    if (manifest.data.value.in_use == null) {
        std.log.err("no version currently in use!", .{});
        return error.Explained;
    }

    try dirs.unuseCurrentVersion(alloc, manifest);
}
