const std = @import("std");
const dirs = @import("../dirs.zig");
const Manifest = @import("../Manifest.zig");
const Args = @import("../args.zig").Use;

pub fn run(
    alloc: std.mem.Allocator,
    manifest: *Manifest,
    args: Args,
    positionals: []const [:0]const u8,
) !void {
    _ = args;

    if (positionals.len != 1) {
        std.log.err("expected exactly 1 positional argument", .{});
        return error.Explained;
    }

    const home = try dirs.zupperHome(alloc);
    defer alloc.free(home);

    if (!try dirs.isVersionInstalled(alloc, home, positionals[0])) {
        std.log.err("no such version installed!", .{});
        return error.Explained;
    }

    try dirs.useVersion(alloc, manifest, home, positionals[0]);
}
